Bug 1571744 - [RFE][Deployment] add ability to configure extra CPU flags for named CPU models
Summary: [RFE][Deployment] add ability to configure extra CPU flags for named CPU models
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-nova
Version: 12.0 (Pike)
Hardware: All
OS: Linux
high
high
Target Milestone: z3
: 12.0 (Pike)
Assignee: Rajesh Tailor
QA Contact: nova-maint
URL:
Whiteboard:
Depends On: 1398343 1547954 1570610 1570611 1570614 1570617 1571750 1571756 1612360
Blocks: 1571741
TreeView+ depends on / blocked
 
Reported: 2018-04-25 10:53 UTC by Rajesh Tailor
Modified: 2019-09-09 16:43 UTC (History)
22 users (show)

Fixed In Version: puppet-nova-11.5.0-2.el7ost
Doc Type: Enhancement
Doc Text:
Nova's libvirt driver now allows the specification of granular CPU feature flags when configuring CPU models. One benefit of this change is the alleviation of a performance degradation that has been experienced on guests running with certain Intel-based virtual CPU models after application of the "Meltdown" CVE fixes. This guest performance impact is reduced by exposing the CPU feature flag 'PCID' ("Process-Context ID") to the *guest* CPU, assuming that the PCID flag is available in the physical hardware itself. For more details, refer to the documentation of ``[libvirt]/cpu_model_extra_flags`` in the ``nova.conf`` file for usage details.
Clone Of: 1547954
Environment:
Last Closed: 2018-08-20 12:59:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2331 None None None 2018-08-20 13:01:55 UTC
OpenStack gerrit 561796 None None None 2018-04-25 10:53:21 UTC

Comment 13 errata-xmlrpc 2018-08-20 12:59:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2331


Note You need to log in before you can comment on or make changes to this bug.